<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\KursUebersicht\KursUebersicht;

class KursUebersichtResetFilterController extends KursUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->suchParameter = $this->getFilterFromPost();
    $requestObj->aendereFilter = true;

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    
    
    $tool = KursUebersichtUseCase::getToolId();
    $suchApi = new \KurstagHmSucheAPI();

    return $suchApi->getSearchParamsFromReq('tool' . $tool, 'searchkurstage');
  }
}